#
# Conditional build:
%bcond_without	pthread		# POSIX threads support
%bcond_with	openssl		# use OpenSSL instead of GnuTLS
#
Summary:	libgadu library
Summary(es.UTF-8):	Biblioteca libgadu
Summary(pl.UTF-8):	Biblioteka libgadu
Name:		libgadu
Version:	1.12.2
Release:	2
Epoch:		4
License:	LGPL v2.1
Group:		Libraries
Source0:	http://github.com/wojtekka/libgadu/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d6b277f64c0fdf246bdbb382758ac933
URL:		http://toxygen.net/libgadu/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{!?with_openssl:BuildRequires:	gnutls-devel >= 2.10.0}
BuildRequires:	libtool
%{?with_openssl:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	protobuf-c-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
%{!?with_openssl:Requires:	gnutls >= 2.10.0}
Requires:	protobuf-c >= 1.0.0
Obsoletes:	libgg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -l de.UTF-8
Mit libgadu ist es Ihnen möglich auf einfache Weise Gadu-Gadu
Kommunikations-Unterstützung in Ihre Software einzubinden.

%description -l es.UTF-8
libgadu está pensada para facilitar añadirle comunicación vía
Gadu-Gadu a su software.

%description -l pl.UTF-8
libgadu umożliwia łatwe dodanie do różnych aplikacji komunikacji
bazującej na protokole Gadu-Gadu.

%package devel
Summary:	libgadu development library
Summary(es.UTF-8):	Biblioteca de desarrollo de libgadu
Summary(pl.UTF-8):	Część biblioteki libgadu dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{!?with_openssl:Requires:	gnutls-devel >= 2.10.0}
%{?with_openssl:Requires:	openssl-devel}
Requires:	protobuf-c-devel >= 1.0.0
Requires:	zlib-devel
Obsoletes:	libgg-devel

%description devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%description devel -l de.UTF-8
Das libgadu-devel Paket enthält Header-Files (Kopfzeilenordner) und
die Dokumentation die Sie benötigen um mit libgadu Anwendungen zu
entwickeln.

%description devel -l es.UTF-8
El paquete libgadu-devel contiene los ficheros de cabecera, juntos con
una documentación, necesarios para desarrollar aplicaciones que usar
libgadu.

%description devel -l pl.UTF-8
Pakiet libgadu-devel zawiera pliki nagłówkowe i dokumentację,
potrzebne do kompilowania aplikacji korzystających z libgadu.

%package static
Summary:	Static libgadu library
Summary(es.UTF-8):	Biblioteca libgadu estática
Summary(pl.UTF-8):	Statyczna biblioteka libgadu
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libgg-static

%description static
Static libgadu library.

%description static -l de.UTF-8
Statisches libgadu Archiv.

%description static -l es.UTF-8
Biblioteca libgadu estática.

%description static -l pl.UTF-8
Statyczna biblioteka libgadu.

%prep
%setup -q

# force rebuild
%{__rm} include/packets.pb-c.h

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--without-bind \
	%{?with_openssl:--without-gnutls} \
%if %{with pthread}
	--with-pthread \
%else
	--without-pthread \
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgadu.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgadu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgadu.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_pkgconfigdir}/libgadu.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgadu.a
%changelog
* Thu Jan 25 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libgadu.git;a=log;h=master

* Wed Apr 26 2017 Jakub Bogusz <qboosh@pld-linux.org> f475c54
- -devel R: protobuf-c-devel
- drop .la file

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 056cc5a
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Sun Feb 26 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3d0f4ab
- Update to 1.12.2

* Sat Aug 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> de0ee4e
- up to 1.12.1

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 7f6073b
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 21915d4
- fixed build with system protobuf-c

* Sun Nov 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 63ff3ad
- up to 1.12.0

* Thu May 22 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 25d2bcd
- up to 1.11.4 (CVE-2014-3775)

* Fri Feb 07 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fc612e5
- up to 1.11.3 (CVE-2013-6487)

* Tue Jul 10 2012 Marcin Krol <hawk@tld-linux.org> fd56aef
- release 2

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 31a8412
- updated to 1.11.2

* Sat Jan 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 8507e79
- updated to 1.11.1

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 42c645a
- release 2

* Wed Jun 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 33e5bd1
- BR+R zlib-devel

* Wed Jun 01 2011 marti <marti@pld-linux.org> 2dad88a
- up to 1.11.0

* Mon Mar 14 2011 Jakub Bogusz <qboosh@pld-linux.org> d216da0
- DO track soname

* Mon Mar 14 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 0c398ea
- up to 1.10.1; bugfix release

* Sat Feb 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 1cf8ca0
- updated configure options
- libgadu now defaults to gnutls, so updated BR/R (and added openssl bcond)

* Mon Feb 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b16a4a
- up to 1.10

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> ec898fd
- make sure package name and name specified in %files match

